Subject: bug#16567: 24.3.50; pcase should signal an error if no case matches

From: Leo Liu <[email-masked]>
Date: Wed, 10 Sep 2014 10:52:18 +0800

On 2014-09-09 22:26 -0400, Stefan Monnier wrote:
> I suggested `pcase-exhaustive'.
> You suggested `xcase', which I don't like for namespace reasons.

Would `pcasex' be acceptable? I used xcase because I cannot come up with
a good enough short name, and a long name for such a fundamental macro
can be annoying.

Thanks,
Leo